[
  {
    "chunk_id": 3,
    "chunk_type": "parameters",
    "human_description": "These are all parameter definitions for report 'MasterReport', total 1 parameters. Parameters: ProductsSubreport(net.sf.jasperreports.engine.JasperReport).",
    "raw_xml": "<parameter name=\"ProductsSubreport\" class=\"net.sf.jasperreports.engine.JasperReport\">\n\t\t<defaultValueExpression>net.sf.jasperreports.samples.subreport.SubreportUtil.getProductsSubreport()</defaultValueExpression>\n\t</parameter>\n\t",
    "context": "Report 'MasterReport' parameter definitions",
    "metadata": {
      "parameter_names": [
        "ProductsSubreport"
      ],
      "parameter_types": {
        "ProductsSubreport": "net.sf.jasperreports.engine.JasperReport"
      },
      "default_values": {
        "ProductsSubreport": "net.sf.jasperreports.samples.subreport.SubreportUtil.getProductsSubreport()"
      },
      "count": 1
    }
  },
  {
    "chunk_id": 3,
    "chunk_type": "parameters",
    "human_description": "These are all parameter definitions for report 'MasterReport', total 1 parameters. Parameters: ProductsSubreport(net.sf.jasperreports.engine.JasperReport).",
    "raw_xml": "<parameter name=\"ProductsSubreport\" class=\"net.sf.jasperreports.engine.JasperReport\">\n\t\t<defaultValueExpression>net.sf.jasperreports.samples.subreport.SubreportUtil.getProductsSubreport()</defaultValueExpression>\n\t</parameter>\n\t",
    "context": "Report 'MasterReport' parameter definitions",
    "metadata": {
      "parameter_names": [
        "ProductsSubreport"
      ],
      "parameter_types": {
        "ProductsSubreport": "net.sf.jasperreports.engine.JasperReport"
      },
      "default_values": {
        "ProductsSubreport": "net.sf.jasperreports.samples.subreport.SubreportUtil.getProductsSubreport()"
      },
      "count": 1
    }
  }
]